Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlIDREFS.Factory

    java.lang.Object
      org.apache.xmlbeans.XmlIDREFS.Factory

Enclosing interface:
  XmlIDREFS

    public static final class XmlIDREFS.Factory

extends java.lang.Object

A class with methods for creating instances of `XmlIDREFS`.

Method Summary
`static XmlIDREFS` | `newInstance()` Creates an empty instance of `XmlIDREFS`
`static XmlIDREFS` | `newInstance(XmlOptions options)` Creates an empty instance of `XmlIDREFS`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlIDREFS` | `newValue(java.lang.Object obj)` Creates an immutable `XmlIDREFS` value
`static XmlIDREFS` | `parse(java.io.File f)` Parses a `XmlIDREFS` fragment from a File.
`static XmlIDREFS` | `parse(java.io.File f, XmlOptions options)` Parses a `XmlIDREFS` fragment from a File.
`static XmlIDREFS` | `parse(java.io.InputStream is)` Parses a `XmlIDREFS` fragment from an InputStream.
`static XmlIDREFS` | `parse(java.io.InputStream is, XmlOptions options)` Parses a `XmlIDREFS` fragment from an InputStream.
`static XmlIDREFS` | `parse(Node node)` Parses a `XmlIDREFS` fragment from a DOM Node.
`static XmlIDREFS` | `parse(Node node, XmlOptions options)` Parses a `XmlIDREFS` fragment from a DOM Node.
`static XmlIDREFS` | `parse(java.io.Reader r)` Parses a `XmlIDREFS` fragment from a Reader.
`static XmlIDREFS` | `parse(java.io.Reader r, XmlOptions options)` Parses a `XmlIDREFS` fragment from a Reader.
`static XmlIDREFS` | `parse(java.lang.String s)` Parses a `XmlIDREFS` fragment from a String.
`static XmlIDREFS` | `parse(java.lang.String s, XmlOptions options)` Parses a `XmlIDREFS` fragment from a String.
`static XmlIDREFS` | `parse(java.net.URL u)` Parses a `XmlIDREFS` fragment from a URL.
`static XmlIDREFS` | `parse(java.net.URL u, XmlOptions options)` Parses a `XmlIDREFS` fragment from a URL.
`static XmlIDREFS` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlIDREFS` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlIDREFS` | `parse(javax.xml.stream.XMLStreamReader xsr)` Parses a `XmlIDREFS` fragment from an XMLStreamReader.
`static XmlIDREFS` | `parse(javax.xml.stream.XMLStreamReader xsr, XmlOptions options)` Parses a `XmlIDREFS` fragment from an XMLStreamReader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static XmlIDREFS newInstance()

  Creates an empty instance of `XmlIDREFS`

### newInstance

    public static XmlIDREFS newInstance(XmlOptions options)

  Creates an empty instance of `XmlIDREFS`

### newValue

    public static XmlIDREFS newValue(java.lang.Object obj)

  Creates an immutable `XmlIDREFS` value

### parse

    public static XmlIDREFS parse(java.lang.String s)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from a String.

  Throws:
    `XmlException`

### parse

    public static XmlIDREFS parse(java.lang.String s,
                                  XmlOptions options)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from a String.

  Throws:
    `XmlException`

### parse

    public static XmlIDREFS parse(java.io.File f)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a File.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.io.File f,
                                  XmlOptions options)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a File.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.net.URL u)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a URL.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.net.URL u,
                                  XmlOptions options)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a URL.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.io.InputStream is)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from an InputStream.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.io.InputStream is,
                                  XmlOptions options)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from an InputStream.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.io.Reader r)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a Reader.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(java.io.Reader r,
                                  XmlOptions options)
                           throws XmlException,
                                  java.io.IOException

  Parses a `XmlIDREFS` fragment from a Reader.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlIDREFS parse(Node node)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlIDREFS parse(Node node,
                                  XmlOptions options)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlIDREFS parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                           throws XmlException,
                                  org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlIDREFS` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static XmlIDREFS parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                  XmlOptions options)
                           throws XmlException,
                                  org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlIDREFS` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static XmlIDREFS parse(javax.xml.stream.XMLStreamReader xsr)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### parse

    public static XmlIDREFS parse(javax.xml.stream.XMLStreamReader xsr,
                                  XmlOptions options)
                           throws XmlException

  Parses a `XmlIDREFS` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            XmlOptions options)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD